#!/usr/bin/env node

const { Command } = require('commander');
const utils = require('../src/utils');
const run = require('../src/run.js');
const use = require('../src/use.js');
const build = require('../src/build.js');

function _BootStrap(program) {
    run.register(program);
    use.register(program);
    build.register(program);
}

const program = new Command();
_BootStrap(program);

program.parse(process.argv);

