const process = require("process");

var os = "";
var arch = "";

if (process.platform == "win32") os = "windows";
else if (process.platform == "linux") os = "linux";
else if (process.platform == "darwin") os = "osx"; arch = "x64"

if (process.arch == "x64") arch = "x64";
else if (process.arch == "ia32") arch = "x32";

module.exports = {
	"os": os,
	"arch": arch,
	"url": "https://github.com/pegvin/arujs/releases/download/$TAG_NAME/$FILE_NAME",
	"configFile": "arujsconf.json",
	"latestStable": "0.0.2-dev",
	"binary": {
		"windows": {
			"x32": `core-i386.exe`,
			"x64": `core-x86_64.exe`
		},
		"linux": {
			"x32": `core-i386.elf`,
			"x64": `core-x86_64.elf`
		},
		"osx": {
			"x64": `core-x86_64`
		}
	}
}
